com.h3c.sdn.application

## Class Application

- java.lang.Object
- - com.h3c.sdn.application.Application

-     public class Application
      extends Object

  Representation of an application managed by the system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Application(String applicationId, String applicationName, String applicationVersion, boolean supportTeamInCluster, boolean builtInApp)` Constructs the application object with the mandatory parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` Gets the brief description for the application.
    `boolean` | `equals(Object obj)`
    `List<ManagedArtifact>` | `getAppArtifacts()` Returns the list of artifacts associated with the application.
    `Date` | `getDeploymentTime()` Returns the `Date` associated with the deployment of this managed artifact to the system.
    `int` | `getLicenseMetricId()` Returns the licensing metric Id for the application.
    `int` | `getLicenseProdId()` Returns the licensing product Id for the application.
    `ManagedPlan` | `getPlan()` Returns the plan object for the plan associated with the application.
    `String` | `getState()` Get the state of the application (ACTIVE, RESOLVED, STAGED).
    `int` | `hashCode()`
    `boolean` | `hasPlan()` Returns a boolean value based on whether plan is associated with the application.
    `String` | `id()` Get the id for the application.
    `boolean` | `isBuiltin()` Returns a boolean value indicating whether this application is a builtin Flare application or not.
    `boolean` | `isLicensable()` Returns whether this application supports licensing.
    `boolean` | `isMandatory()` Returns true value whether this application is mandatory for the system to be healthy.
    `boolean` | `isTeamed()` Returns a boolean value indicating whether application supports team.
    `String` | `name()` Get the name of the application.
    `void` | `setArtifacts(List<ManagedArtifact> appArtifacts)` Process and add plan or all artifacts associated with the application in a list.
    `void` | `setDeploymentTime(Date deploymentTime)` Sets the `Date` that this artifact was deployed to the system.
    `void` | `setDescription(String description)` Set the description for the application.
    `void` | `setLicensable(boolean licensable)` Sets the licensing support attribute for the application.
    `void` | `setLicenseMetricId(int licenseMetricId)` Sets the licensing metric Id for the application.
    `void` | `setLicenseProdId(int licenseProdId)` Sets the licensing product Id for the application.
    `void` | `setMandatory(boolean mandatory)` Set mandatory field for the application.
    `void` | `setPlan(ManagedPlan plan)` Sets plan for the application.
    `void` | `setPlanPresent(boolean planPresent)` Sets whether the plan is present for the application.
    `void` | `setState(String state)` Set the state of the application (ACTIVE, RESOLVED, STAGED).
    `void` | `setVendor(String vendor)` Set the vendor attribute for the application.
    `String` | `vendor()` Gets the vendor information of the application.
    `String` | `version()` Get the version of the application.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Application

          public Application(String applicationId,
                     String applicationName,
                     String applicationVersion,
                     boolean supportTeamInCluster,
                     boolean builtInApp)

      Constructs the application object with the mandatory parameters.
      Parameters:
        `applicationId` - id of the application
        `applicationName` - name of the application
        `applicationVersion` - version of the application
        `supportTeamInCluster` - whether application supports teaming
        `builtInApp` - whether application is built-in

  - ### Method Detail

    - #### id

          public String id()

      Get the id for the application.
      Returns:
        the application unique id

    - #### name

          public String name()

      Get the name of the application.
      Returns:
        the application name

    - #### version

          public String version()

      Get the version of the application.
      Returns:
        the application version

    - #### isTeamed

          public boolean isTeamed()

      Returns a boolean value indicating whether application supports team.
      Returns:
        true / false value based on whether teaming is supported

    - #### isBuiltin

          public boolean isBuiltin()

      Returns a boolean value indicating whether this application is a builtin Flare application or not.
      Returns:
        true /false value whether application is builtin

    - #### vendor

          public String vendor()

      Gets the vendor information of the application.
      Returns:
        vendor name of the application

    - #### description

          public String description()

      Gets the brief description for the application.
      Returns:
        description of the application

    - #### setVendor

          public void setVendor(String vendor)

      Set the vendor attribute for the application.
      Parameters:
        `vendor` - value of vendor to be set for the application

    - #### setDescription

          public void setDescription(String description)

      Set the description for the application.
      Parameters:
        `description` - description value to be set for the application

    - #### isMandatory

          public boolean isMandatory()

      Returns true value whether this application is mandatory for the system to be healthy.
      Returns:
        true / false value whether application is mandatory

    - #### setMandatory

          public void setMandatory(boolean mandatory)

      Set mandatory field for the application.
      Parameters:
        `mandatory` - boolean value representing the mandatory field

    - #### getState

          public String getState()

      Get the state of the application (ACTIVE, RESOLVED, STAGED).
      Returns:
        value of the state

    - #### setState

          public void setState(String state)

      Set the state of the application (ACTIVE, RESOLVED, STAGED).
      Parameters:
        `state` - current state value to be set

    - #### getDeploymentTime

          public Date getDeploymentTime()

      Returns the `Date` associated with the deployment of this managed artifact to the system.
      Returns:
        the `Date` of deployment

    - #### setDeploymentTime

          public void setDeploymentTime(Date deploymentTime)

      Sets the `Date` that this artifact was deployed to the system.
      Parameters:
        `deploymentTime` - the `Date` of deployment

    - #### setPlanPresent

          public void setPlanPresent(boolean planPresent)

      Sets whether the plan is present for the application.
      Parameters:
        `planPresent` - boolean value indicating presence of plan

    - #### hasPlan

          public boolean hasPlan()

      Returns a boolean value based on whether plan is associated with the application.
      Returns:
        true / false based on presence of plan

    - #### setPlan

          public void setPlan(ManagedPlan plan)

      Sets plan for the application.
      Parameters:
        `plan` - managed plan associated with the application

    - #### getPlan

          public ManagedPlan getPlan()

      Returns the plan object for the plan associated with the application.
      Returns:
        managed plan object for the application

    - #### setArtifacts

          public void setArtifacts(List<ManagedArtifact> appArtifacts)

      Process and add plan or all artifacts associated with the application in a list.
      Parameters:
        `appArtifacts` - list of URI for artifacts for application

    - #### getAppArtifacts

          public List<ManagedArtifact> getAppArtifacts()

      Returns the list of artifacts associated with the application.
      Returns:
        application artifact list

    - #### isLicensable

          public boolean isLicensable()

      Returns whether this application supports licensing.
      Returns:
        boolean value indicating licensing support

    - #### setLicensable

          public void setLicensable(boolean licensable)

      Sets the licensing support attribute for the application.
      Parameters:
        `licensable` - boolean value indicating licensing support

    - #### getLicenseProdId

          public int getLicenseProdId()

      Returns the licensing product Id for the application.
      Returns:
        integer value indicating the product Id

    - #### setLicenseProdId

          public void setLicenseProdId(int licenseProdId)

      Sets the licensing product Id for the application.
      Parameters:
        `licenseProdId` - integer value indicating the product Id

    - #### getLicenseMetricId

          public int getLicenseMetricId()

      Returns the licensing metric Id for the application.
      Returns:
        integer value indicating the metric id

    - #### setLicenseMetricId

          public void setLicenseMetricId(int licenseMetricId)

      Sets the licensing metric Id for the application.
      Parameters:
        `licenseMetricId` - integer value indicating the metric id

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014. All Rights Reserved.